Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.heuristic.policy
Class HeuristicConfigPolicy

    java.lang.Object
      org.optaplanner.core.config.heuristic.policy.HeuristicConfigPolicy

    public class HeuristicConfigPolicy

extends Object

Constructor Summary
`HeuristicConfigPolicy(EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, ScoreDefinition scoreDefinition)`

Method Summary
`void` | `addMimicRecordingEntitySelector(String id, MimicRecordingEntitySelector mimicRecordingEntitySelector)`
`HeuristicConfigPolicy` | `createPhaseConfigPolicy()`
`EnvironmentMode` | `getEnvironmentMode()`
`MimicRecordingEntitySelector` | `getMimicRecordingEntitySelector(String id)`
`Map<String,MimicRecordingEntitySelector>` | `getMimicRecordingEntitySelectorMap()`
`ScoreDefinition` | `getScoreDefinition()`
`SolutionDescriptor` | `getSolutionDescriptor()`
`boolean` | `isInitializedChainedValueFilterEnabled()`
`boolean` | `isReinitializeVariableFilterEnabled()`
`boolean` | `isSortEntitiesByDecreasingDifficultyEnabled()`
`boolean` | `isSortValuesByIncreasingStrengthEnabled()`
`void` | `setInitializedChainedValueFilterEnabled(boolean initializedChainedValueFilterEnabled)`
`void` | `setMimicRecordingEntitySelectorMap(Map<String,MimicRecordingEntitySelector> mimicRecordingEntitySelectorMap)`
`void` | `setReinitializeVariableFilterEnabled(boolean reinitializeVariableFilterEnabled)`
`void` | `setSortEntitiesByDecreasingDifficultyEnabled(boolean sortEntitiesByDecreasingDifficultyEnabled)`
`void` | `setSortValuesByIncreasingStrengthEnabled(boolean sortValuesByIncreasingStrengthEnabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeuristicConfigPolicy

    public HeuristicConfigPolicy(EnvironmentMode environmentMode,
                                 SolutionDescriptor solutionDescriptor,
                                 ScoreDefinition scoreDefinition)

Method Detail

### getEnvironmentMode

    public EnvironmentMode getEnvironmentMode()

### getSolutionDescriptor

    public SolutionDescriptor getSolutionDescriptor()

### getScoreDefinition

    public ScoreDefinition getScoreDefinition()

### isSortEntitiesByDecreasingDifficultyEnabled

    public boolean isSortEntitiesByDecreasingDifficultyEnabled()

### setSortEntitiesByDecreasingDifficultyEnabled

    public void setSortEntitiesByDecreasingDifficultyEnabled(boolean sortEntitiesByDecreasingDifficultyEnabled)

### isSortValuesByIncreasingStrengthEnabled

    public boolean isSortValuesByIncreasingStrengthEnabled()

### setSortValuesByIncreasingStrengthEnabled

    public void setSortValuesByIncreasingStrengthEnabled(boolean sortValuesByIncreasingStrengthEnabled)

### isReinitializeVariableFilterEnabled

    public boolean isReinitializeVariableFilterEnabled()

### setReinitializeVariableFilterEnabled

    public void setReinitializeVariableFilterEnabled(boolean reinitializeVariableFilterEnabled)

### getMimicRecordingEntitySelectorMap

    public Map<String,MimicRecordingEntitySelector> getMimicRecordingEntitySelectorMap()

### setMimicRecordingEntitySelectorMap

    public void setMimicRecordingEntitySelectorMap(Map<String,MimicRecordingEntitySelector> mimicRecordingEntitySelectorMap)

### isInitializedChainedValueFilterEnabled

    public boolean isInitializedChainedValueFilterEnabled()

### setInitializedChainedValueFilterEnabled

    public void setInitializedChainedValueFilterEnabled(boolean initializedChainedValueFilterEnabled)

### createPhaseConfigPolicy

    public HeuristicConfigPolicy createPhaseConfigPolicy()

### addMimicRecordingEntitySelector

    public void addMimicRecordingEntitySelector(String id,
                                                MimicRecordingEntitySelector mimicRecordingEntitySelector)

### getMimicRecordingEntitySelector

    public MimicRecordingEntitySelector getMimicRecordingEntitySelector(String id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.